import request from '../request/index.js';

export function login(data) {
  return request({
    url: 'driver-api/tdSysUser/login',
    method: 'POST',
    data,
    noToken: true
  });
}

export function getCode(data) {
  return request({
    url: 'driver-api/tdSysUser/code',
    method: 'get',
    data,
    noToken: true
  });
}

export function logout() {
  return request({
    url: 'driver-api/tdSysUser/loginOut',
    method: 'get'
  });
}

export function getInfo() {
  return request({
    url: 'driver-api/tdSysUser/queryUserMessage',
    method: 'get'
  });
}

export function bindSchool(data) {
  return request({
    url: 'driver-api/tdSysUser/bindSchool',
    method: 'post',
    data
  });
}
